Loading...
Searching...
No Matches
Halide::Internal::InferredArgument Struct Reference

An inferred argument. More...

`#include <InferArguments.h>`

## Public Member Functions

bool | operator< (const InferredArgument &other) const

## Public Attributes

Argument | arg
Parameter | param
Buffer | buffer

## Detailed Description

An inferred argument.

Inferred args are either Params, ImageParams, or Buffers. The first two are handled by the param field, and global images are tracked via the buf field. These are used directly when jitting, or used for validation when compiling with an explicit argument list.

Definition at line 24 of file InferArguments.h.

## Member Function Documentation

## operator<()

bool Halide::Internal::InferredArgument::operator< | ( | const InferredArgument & | other | ) | const

inline

Definition at line 29 of file InferArguments.h.

References arg, Halide::Argument::is_buffer(), and Halide::Argument::name.

## Member Data Documentation

## arg

Argument Halide::Internal::InferredArgument::arg

Definition at line 25 of file InferArguments.h.

Referenced by operator<().

## param

Parameter Halide::Internal::InferredArgument::param

Definition at line 26 of file InferArguments.h.

## buffer

Buffer Halide::Internal::InferredArgument::buffer

Definition at line 27 of file InferArguments.h.

The documentation for this struct was generated from the following file:

- src/InferArguments.h